public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Pavel Raiskup <praiskup@redhat.com>
To: git-commits@fedoraproject.org
Subject: [rpms/distgen] epel10: new file build-and-update-all-branches
Date: Mon, 14 Sep 2026 11:57:25 GMT [thread overview]
Message-ID: <178938704540.1.16367649279510505403.rpms-distgen-d2dff3409b7b@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : rpms/distgen
Branch : epel10
Commit : d2dff3409b7b2649e0c2884e52d9c403ec7c255d
Author : Pavel Raiskup <praiskup@redhat.com>
Date : 2019-09-24T11:18:50+02:00
Stats : +36/-0 in 1 file(s)
URL : https://src.fedoraproject.org/rpms/distgen/c/d2dff3409b7b2649e0c2884e52d9c403ec7c255d?branch=epel10
Log:
new file build-and-update-all-branches
---
diff --git a/build-and-update-all-branches b/build-and-update-all-branches
new file mode 100755
index 0000000..6aa7ffb
--- /dev/null
+++ b/build-and-update-all-branches
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+# Prepare master branch, review the list of branches below and then execute this
+# script.
+
+branches='master epel7 f29 f30 f31'
+
+exit_handler ()
+{
+ git checkout master
+}
+
+trap exit_handler EXIT
+
+set -e
+set -x
+
+koji hello
+
+tasks=
+for branch in $branches; do
+ if test $branch != master; then
+ git checkout "$branch"
+ git merge master
+ fi
+ git push
+ tasks="${tasks}`fedpkg build --nowait | grep 'Created task' | cut -d: -f2`"
+done
+
+koji watch-task $tasks
+
+for branch in $branches; do
+ test $branch != master || continue
+ git checkout $branch
+ fedpkg update
+done
reply other threads:[~2026-09-14 11:57 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178938704540.1.16367649279510505403.rpms-distgen-d2dff3409b7b@fedoraproject.org \
--to=praiskup@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox